vncsnapshot(1)

NAME

vncsnapshot - grab snapshots from VNC servers

SYNTAX

vncsnapshot [options] host:display JPEG-file
vncsnapshot [options] -listen local-display JPEG-file
vncsnapshot [options] -tunnel host:display JPEG-file
vncsnapshot [options] -via gateway host:display JPEG-file

DESCRIPTION

VNC Snapshot is a command-line program for VNC. It will save a JPEG image of the VNC server's screen.

This manual page documents version 1.2a of vncsnapshot.

OPTIONS

-allowblank
    Allow blank (all black) images as snapshots. See -ignoreblank. -compresslevel level Compress network messages to level, if the server supports it. level is between 0 and 9, with 0 being no compression and 9 the maximum. The default is 4.

-cursor
    Include the cursor in snapshots. Only effective if the remote server is a TightVNC version; otherwise ignored.

-encodings list
    Use the given encodings. The default is
    "copyrect tight hextile zlib corre rre"
    or
    "raw copyrect tight hextile zlib corre rre"
    when VNC snapshot and the server are on the same machine.

-ignoreblank
    Ignore blank (all black) screens; do not save the screen until a screen that is not all black is received. This is useful with some servers that send an initial all-black screen before sending the actual screen. This is the default.

-jpeg
    Request the remote server to use JPEG-style encoding when sending the image, if possible. Currently only supported by TightVNC (and servers derived from it). This is the default.

-nocursor
    Do not include the cursor in snapshots. Only effective if the remote server is a TightVNC version; otherwise ignored. This is the default.

-nojpeg
    Request the remote server to not use JPEG-style encoding when sending the image, if possible. Currently only supported by TightVNC (and servers derived from it).

-listen local-display
    Do not connect to a server; wait for the server to connect to the specified local "display". Cannot be used with -tunnel or -via options.

-passwd filename
    Read encrypted password from filename instead of from the console. The filename can be made with the vncpasswd utility included with the vncsnapshot release.

-quality quality
    Use the specified JPEG image quality (0-100) for the output file. The default is 100.

-quiet
    Do not print any messages. Opposite of -verbose.

-rect wxh+x+y
    Save a sub-rectangle of the screen, width w height h offset from the left by x and the top by y.

    A negative number for x or y makes it an offset from the opposite edge.

    A zero value for the width or height makes the snapshot extend to the right or bottom of the screen, respectively.

    The default is the entire screen.

-tunnel
    Connect to the remote server via an SSH tunnel. Cannot be used with -listen or -via options.

-via gateway
    Connect to the remote server via an SSH tunnel on the host gateway. Cannot be used with -listen or -tunnel options.

-verbose
    Print messages; default.

-vncQuality quality
    Use the specified image quality level (0-9) for tight encoding. The default is 9. Only effective if the remote server is a TightVNC version; otherwise ignored.

-count number
    Take number snapshots; default 1. If greater than 1, vncsnapshot will insert a five-digit sequence number just before the output file's extension; i.e. if you specify out.jpeg as the output file, it will create out00001.jpeg, out00002.jpeg, and so forth

-fps rate
    When taking multiple snapshots, take them every rate seconds; default 60.

EXAMPLES

vncsnapshot anhk-morpork:1 unseen.jpg
    Get a snapshot of screen 1 from the server ahnk-morpork and save it in unseen.jpg. The entire screen is saved; the default transport is used.

vncsnapshot -listen 0 portrait.jpeg
    Wait for a server to connect to this host (using "screen" 0), and then save the full screen image in portrait.jpeg.

vncsnapshot -passwd ~/.vnc/passwd -rect 640x0+120+30 :1 subarea.jpeg
    Using ~/.vnc/passwd to get the server's password, connect to screen 1 on the local machine and save a rectangle 640 pixels high and extending to the right edge, offset 120 pixels from the left and 30 pixels down.

vncsnapshot -rect 0x0-800-600 :1 pict.jpeg
    Get a snapshot that is 800 pixels from the right edge and 600 pixels from the bottom of the screen. It will extend to the screen edges, making it 800x600. Alternatively, the rectangle could be given as -rect 800x600-0-0, which specifies the same region.

AUTHOR

Grant McDorman <grmcdorman@netscape.net>
Based on TightVNC <http://www.tightvnc.com> and RealVNC <http://www.realvnc.com>.

DISTRIBUTION
Source for vncsnapshot can be found at <http://vncsnapshot.sourceforge.net>.

SEE ALSO

vncviewer(1), Xvnc(1), vncpasswd(1), vncconnect(1)